> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apimodelservingv1modelapis

> Lists Model APIs based on the query filters. Returns only Model APIs visible to the requesting user.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/modelServing/v1/modelApis
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/modelServing/v1/modelApis:
    get:
      tags:
        - ModelAPI
      description: >-
        Lists Model APIs based on the query filters. Returns only Model APIs
        visible to the requesting user.
      operationId: listModelAPIs
      parameters:
        - description: The id of the environment to filter the Model APIs by.
          in: query
          name: environmentId
          required: false
          schema:
            type: string
        - description: The id of the project to filter the Model APIs by.
          in: query
          name: projectId
          required: false
          schema:
            type: string
        - description: The name of the Model APIs. Can be a regular expression.
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: >-
            The name of the registered model that is the source of the Model
            API.
          in: query
          name: registeredModelName
          required: false
          schema:
            type: string
        - description: >-
            The version of the registered model that is the source of the Model
            API. Can only be present along with registeredModelName.
          in: query
          name: registeredModelVersion
          required: false
          schema:
            type: integer
        - description: The number of result to retrieve. Defaults to 25.
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: The offset from the first element to start retrieving from.
          in: query
          name: offset
          required: false
          schema:
            default: 25
            type: integer
        - description: >-
            Field to order results by. Format is the name of the field
            optionally followed by a space and either ASC or DESC. If not
            specified defaults to ASC.
          in: query
          name: orderBy
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelApiPaginatedList'
          description: The list of Model APIs matching the provided query.
components:
  schemas:
    ModelApiPaginatedList:
      properties:
        items:
          description: The Model APIs in the paginated list.
          items:
            $ref: '#/components/schemas/ModelApi'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - items
        - metadata
    ModelApi:
      properties:
        access:
          $ref: '#/components/schemas/ModelApiAccessConfiguration'
        activeVersion:
          $ref: '#/components/schemas/ModelApiVersionSummary'
        bundleId:
          description: The ID of the bundle governing the model API to create.
          nullable: true
          pattern: ^[0-9a-f]{24}$
          type: string
        collaborators:
          description: The collaborators of the Model API.
          items:
            $ref: '#/components/schemas/ModelApiCollaboratorRole'
          nullable: false
          type: array
        description:
          description: The description of the Model API.
          nullable: false
          type: string
        environmentId:
          description: The id of the environment the Model API is deployed to.
          nullable: false
          type: string
        hardwareTierId:
          description: The id of the hardware tier the Model API is deployed with.
          nullable: true
          type: string
        healthCheck:
          $ref: '#/components/schemas/ModelApiHealthCheckConfiguration'
        id:
          description: The id of the Model API.
          nullable: false
          type: string
        isArchived:
          description: Whether the Model API is archived.
          nullable: false
          type: boolean
        isAsync:
          description: Whether the Model API is async.
          nullable: false
          type: boolean
        metadata:
          $ref: '#/components/schemas/ModelApiMetadata'
        name:
          description: The name of the Model API.
          nullable: false
          type: string
        overrideRequestTimeoutSecs:
          description: The request timeout configuration of the Model API.
          nullable: true
          type: integer
        replicas:
          description: The number of replicas of the Model API.
          nullable: false
          type: integer
        resourceQuotaId:
          description: The id of the resource quota the Model API is deployed with.
          nullable: true
          type: string
        routingMode:
          description: The routing mode of the Model API.
          nullable: false
          type: string
        strictNodeAntiAffinity:
          description: Whether the Model API has strict node anti affinity.
          nullable: false
          type: boolean
        volumes:
          description: The volumes of the Model API.
          items:
            $ref: '#/components/schemas/ModelApiVolume'
          nullable: false
          type: array
      required:
        - id
        - name
        - description
        - isArchived
        - environmentId
        - replicas
        - routingMode
        - isAsync
        - strictNodeAntiAffinity
        - access
        - healthCheck
        - collaborators
        - volumes
        - metadata
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ModelApiAccessConfiguration:
      properties:
        accessTokens:
          description: The access tokens of the Model API.
          items:
            $ref: '#/components/schemas/ModelApiAccessToken'
          nullable: false
          type: array
        isPublic:
          description: Whether the Model API is public.
          nullable: false
          type: boolean
      required:
        - isPublic
        - accessTokens
    ModelApiVersionSummary:
      properties:
        dataPlaneId:
          description: The id of the data plane the Model API Version is deployed to.
          nullable: false
          type: string
        deployment:
          $ref: '#/components/schemas/ModelApiVersionDeployment'
        id:
          description: The id of the Model API Version.
          nullable: false
          type: string
        number:
          description: The version number of the Model API Version.
          nullable: false
          type: integer
      required:
        - id
        - dataPlaneId
    ModelApiCollaboratorRole:
      properties:
        collaborator:
          description: The reference of the collaborator.
          nullable: false
          type: string
        role:
          description: The role of the collaborator.
          nullable: false
          type: string
      required:
        - collaborator
        - role
    ModelApiHealthCheckConfiguration:
      properties:
        failureThreshold:
          description: The threshold of health check failures for the Model API.
          nullable: false
          type: integer
        initialDelaySeconds:
          description: The initial delay of the health check for the Model API.
          nullable: false
          type: integer
        periodSeconds:
          description: The health check period for the Model API.
          nullable: false
          type: integer
        timeoutSeconds:
          description: The health check timeout for the Model API.
          nullable: false
          type: integer
      required:
        - failureThreshold
        - initialDelaySeconds
        - periodSeconds
        - timeoutSeconds
    ModelApiMetadata:
      properties:
        created:
          description: The date when the Model API was created.
          nullable: false
          type: number
        createdBy:
          description: The id of the user that created the Model API.
          nullable: false
          type: string
        lastModified:
          description: The date when the Model API was last modified.
          nullable: false
          type: number
      required:
        - created
        - createdBy
        - lastModified
    ModelApiVolume:
      properties:
        mountPath:
          description: The mount path of the volume.
          nullable: false
          type: string
        name:
          description: The name of the volume.
          nullable: false
          type: string
        readOnly:
          description: Whether the volume is read only.
          nullable: false
          type: boolean
        volumeType:
          description: The type of volume.
          nullable: false
          type: string
      required:
        - name
        - mountPath
        - volumeType
        - readOnly
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
    ModelApiAccessToken:
      properties:
        created:
          description: The creation date for the access token.
          nullable: false
          type: number
        createdBy:
          description: The id of the user that created the access token.
          nullable: false
          type: string
        id:
          description: The id of the access token.
          nullable: false
          type: string
        lastGenerated:
          description: The date the access token was last generated.
          nullable: false
          type: number
        lastGeneratedBy:
          description: The id of the user that last generated the access token.
          nullable: false
          type: string
        name:
          description: The name of the access token.
          nullable: false
          type: string
      required:
        - id
        - created
        - createdBy
        - lastGenerated
        - lastGeneratedBy
    ModelApiVersionDeployment:
      properties:
        isPending:
          description: Whether the Model API Version deployment is pending.
          nullable: false
          type: boolean
        status:
          description: The status of the Model API Version deployment.
          nullable: false
          type: string
      required:
        - status
        - isPending
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````